# VRML/PROGS/vrmldump/Makefile
############################################################################

# use same configuration parameters as in parent directory
include ../../Config.common
include ../../Config.site

POOLSDIR = ../../POOLS
VRMLDIR = ../../VRML

############################################################################
# No need to change anything below here
############################################################################
# the source files in this directory
CXXSOURCES = main.C
SOURCES = $(CXXSOURCES) $(CSOURCES)
OBJECTS = ${CXXSOURCES:.C=.o} ${CSOURCES:.c=.o}

CFLAGS = $(_CFLAGS) -I$(VRMLDIR) -I$(VRMLDIR)/NODES -I.
LDFLAGS = $(_LDFLAGS)

#default target: compile
all: vrmldump

# generate source file dependencies
depend: 
	$(MAKEDEPEND) $(CFLAGS) $(SOURCES) > deps

.phony: libvrml

$(VRMLDIR)/libvrml.a:
	$(MAKE) -C $(VRMLDIR)/VRML libvrml

vrmldump: $(OBJECTS) $(VRMLDIR)/libvrml.a
	$(CXX) $(LDFLAGS) -o vrmldump $(OBJECTS) \
		-L$(VRMLDIR) -lvrml \
		-lm

cleanhere: cleangen
	-${RM} vrmldump

clean: cleanhere

distclean: cleanhere

###############################################################################
# dependencies --- automatically generated with make depend !!
###############################################################################
-include deps